Index: web/pgadmin/tools/sqleditor/tests/test_start_query_tool.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/sqleditor/tests/test_start_query_tool.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/sqleditor/tests/test_start_query_tool.py	(date 1588075341439)
@@ -6,15 +6,10 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-import sys
 
 from pgadmin.utils.route import BaseTestGenerator
 from pgadmin.tools.sqleditor import StartRunningQuery
-
-if sys.version_info < (3, 3):
-    from mock import patch, ANY
-else:
-    from unittest.mock import patch, ANY
+from unittest.mock import patch, ANY
 
 
 class StartQueryTool(BaseTestGenerator):
Index: web/pgadmin/tools/sqleditor/tests/test_sql_ascii_encoding.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/sqleditor/tests/test_sql_ascii_encoding.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/sqleditor/tests/test_sql_ascii_encoding.py	(date 1588075341451)
@@ -104,11 +104,7 @@
         pg_cursor.execute(query)
         resp = pg_cursor.fetchone()
 
-        if sys.version_info < (3,):
-            self.assertEqual(resp[0].encode("raw_unicode_escape"),
-                             self.test_str)
-        else:
-            self.assertEqual(resp[0], self.test_str)
+        self.assertEqual(resp[0], self.test_str)
 
     def tearDown(self):
         main_conn = test_utils.get_db_connection(
Index: web/pgadmin/tools/sqleditor/tests/test_view_data.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/sqleditor/tests/test_view_data.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/sqleditor/tests/test_view_data.py	(date 1588075790202)
@@ -10,19 +10,12 @@
 import uuid
 import json
 import random
-import sys
-
 from pgadmin.utils.route import BaseTestGenerator
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils
-from pgadmin.utils import server_utils, IS_PY2
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class TestViewData(BaseTestGenerator):
Index: web/pgadmin/tools/sqleditor/tests/test_encoding_charset.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/sqleditor/tests/test_encoding_charset.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/sqleditor/tests/test_encoding_charset.py	(date 1588075232126)
@@ -13,7 +13,7 @@
     database_utils
 from regression.python_test_utils import test_utils
 import json
-from pgadmin.utils import server_utils, IS_PY2
+from pgadmin.utils import server_utils
 import random
 
 
@@ -273,10 +273,7 @@
         self.assertEquals(response.status_code, 200)
         response_data = json.loads(response.data.decode('utf-8'))
         self.assertEquals(response_data['data']['rows_fetched_to'], 1)
-        if IS_PY2 and type(response_data['data']['result'][0][0]) == unicode:
-            result = response_data['data']['result'][0][0].encode('utf-8')
-        else:
-            result = response_data['data']['result'][0][0]
+        result = response_data['data']['result'][0][0]
         self.assertEquals(result, self.test_str)
 
         database_utils.disconnect_database(self, self.encode_sid,
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_utils.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_utils.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_utils.py	(date 1588075790229)
@@ -6,15 +6,11 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-import sys
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables import \
     BaseTableView
 from pgadmin.utils.route import BaseTestGenerator
-
-if sys.version_info < (3, 3):
-    from mock import patch, MagicMock
-else:
-    from unittest.mock import patch, MagicMock
+from unittest.mock import patch, MagicMock
 
 
 class TestBaseView(BaseTableView):
Index: web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py	(date 1588075790227)
@@ -8,7 +8,6 @@
 ##########################################################################
 
 import uuid
-import sys
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
@@ -19,11 +18,7 @@
 from regression import trigger_funcs_utils
 from regression.python_test_utils import test_utils as utils
 from . import utils as event_trigger_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class EventTriggerGetTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py	(date 1588075790242)
@@ -8,8 +8,6 @@
 ##########################################################################
 
 import uuid
-import sys
-
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
@@ -20,11 +18,7 @@
 from regression import trigger_funcs_utils
 from regression.python_test_utils import test_utils as utils
 from . import utils as event_trigger_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class EventTriggerDeleteTestCase(BaseTestGenerator):
Index: web/pgadmin/tools/backup/tests/test_check_utility_exists_route_backup.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/backup/tests/test_check_utility_exists_route_backup.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/backup/tests/test_check_utility_exists_route_backup.py	(date 1588075232121)
@@ -7,16 +7,12 @@
 #
 ##########################################################################
 
-import sys
+
 import json
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils.test_utils import\
     check_binary_path_or_skip_test
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class TestUtilityCheckRouteCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py	(date 1588075790204)
@@ -9,8 +9,6 @@
 
 import json
 import uuid
-import sys
-
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
@@ -21,11 +19,7 @@
 from regression import trigger_funcs_utils
 from regression.python_test_utils import test_utils as utils
 from . import utils as event_trigger_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class EventTriggerPutTestCase(BaseTestGenerator):
Index: web/pgadmin/tools/backup/tests/test_batch_process.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/backup/tests/test_batch_process.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/backup/tests/test_batch_process.py	(date 1588075232133)
@@ -7,18 +7,12 @@
 #
 ##########################################################################
 
-import sys
-
 from pgadmin.misc.bgprocess.processes import BatchProcess, IProcessDesc, \
     current_app
 from pgadmin.tools.backup import BackupMessage, BACKUP
 from pgadmin.utils.route import BaseTestGenerator
 from pickle import dumps, loads
-
-if sys.version_info < (3, 3):
-    from mock import patch, MagicMock
-else:
-    from unittest.mock import patch, MagicMock
+from unittest.mock import patch, MagicMock
 
 
 class BatchProcessTest(BaseTestGenerator):
Index: web/pgadmin/tools/backup/tests/test_backup_message.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/backup/tests/test_backup_message.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/backup/tests/test_backup_message.py	(date 1588075232123)
@@ -7,15 +7,9 @@
 #
 ##########################################################################
 
-import sys
-
 from pgadmin.tools.backup import BackupMessage, BACKUP
 from pgadmin.utils.route import BaseTestGenerator
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class BackupMessageTest(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py	(date 1588075790268)
@@ -9,8 +9,6 @@
 
 import json
 import uuid
-import sys
-
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
@@ -21,11 +19,7 @@
 from regression import trigger_funcs_utils
 from regression.python_test_utils import test_utils as utils
 from . import utils as event_trigger_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class EventTriggerAddTestCase(BaseTestGenerator):
Index: web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py	(date 1588075232101)
@@ -7,8 +7,6 @@
 #
 ##########################################################################
 
-
-import sys
 import simplejson as json
 import os
 
@@ -17,12 +15,7 @@
 from pgadmin.utils import server_utils as server_utils, does_utility_exist
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-
-
-if sys.version_info < (3, 3):
-    from mock import patch, MagicMock
-else:
-    from unittest.mock import patch, MagicMock
+from unittest.mock import patch, MagicMock
 
 
 class BackupCreateJobTest(BaseTestGenerator):
Index: web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/sqleditor/utils/tests/test_start_running_query.py	(date 1588075341434)
@@ -6,7 +6,6 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-import sys
 
 from flask import Response
 import simplejson as json
@@ -14,11 +13,7 @@
 from pgadmin.tools.sqleditor.utils.start_running_query import StartRunningQuery
 from pgadmin.utils.exception import ConnectionLost, SSHTunnelConnectionLost
 from pgadmin.utils.route import BaseTestGenerator
-
-if sys.version_info < (3, 3):
-    from mock import patch, MagicMock
-else:
-    from unittest.mock import patch, MagicMock
+from unittest.mock import patch, MagicMock
 
 get_driver_exception = Exception('get_driver exception')
 get_connection_lost_exception = Exception('Unable to connect to server')
Index: web/pgadmin/tools/sqleditor/utils/tests/test_apply_explain_plan_wrapper.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/sqleditor/utils/tests/test_apply_explain_plan_wrapper.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/sqleditor/utils/tests/test_apply_explain_plan_wrapper.py	(date 1588075790199)
@@ -8,15 +8,10 @@
 ##########################################################################
 
 """Apply Explain plan wrapper to sql object."""
-import sys
 
 from pgadmin.tools.sqleditor.utils import apply_explain_plan_wrapper_if_needed
 from pgadmin.utils.route import BaseTestGenerator
-
-if sys.version_info < (3, 3):
-    from mock import patch, MagicMock
-else:
-    from unittest.mock import patch, MagicMock
+from unittest.mock import patch, MagicMock
 
 
 class StartRunningQueryTest(BaseTestGenerator):
Index: web/pgadmin/tools/restore/tests/test_batch_process.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/restore/tests/test_batch_process.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/restore/tests/test_batch_process.py	(date 1588075232111)
@@ -7,18 +7,12 @@
 #
 ##########################################################################
 
-import sys
-
 from pgadmin.misc.bgprocess.processes import BatchProcess, IProcessDesc, \
     current_app
 from pgadmin.tools.restore import RestoreMessage
 from pgadmin.utils.route import BaseTestGenerator
 from pickle import dumps, loads
-
-if sys.version_info < (3, 3):
-    from mock import patch, MagicMock
-else:
-    from unittest.mock import patch, MagicMock
+from unittest.mock import patch, MagicMock
 
 
 class BatchProcessTest(BaseTestGenerator):
Index: web/pgadmin/tools/restore/tests/test_restore_create_job_unit_test.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/restore/tests/test_restore_create_job_unit_test.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/restore/tests/test_restore_create_job_unit_test.py	(date 1588075971406)
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-import sys
 import simplejson as json
 import os
 
@@ -16,11 +15,7 @@
 from pgadmin.utils import server_utils as server_utils, does_utility_exist
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch, MagicMock
-else:
-    from unittest.mock import patch, MagicMock
+from unittest.mock import patch, MagicMock
 
 
 class RestoreCreateJobTest(BaseTestGenerator):
@@ -233,7 +228,7 @@
              not_expected_cmd_opts=[],
              expected_exit_code=[0, None]
          )),
-        ('When restore object with option - Disbale',
+        ('When restore object with option - Disable Triggers',
          dict(
              class_params=dict(
                  sid=1,
Index: web/pgadmin/tools/restore/tests/test_check_utility_exists_route_restore.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/restore/tests/test_check_utility_exists_route_restore.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/restore/tests/test_check_utility_exists_route_restore.py	(date 1588075341453)
@@ -7,16 +7,11 @@
 #
 ##########################################################################
 
-import sys
 import json
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils.test_utils import\
     check_binary_path_or_skip_test
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class TestUtilityCheckRouteCase(BaseTestGenerator):
Index: web/pgadmin/tools/restore/tests/test_restore_message.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/restore/tests/test_restore_message.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/restore/tests/test_restore_message.py	(date 1588075341457)
@@ -7,15 +7,9 @@
 #
 ##########################################################################
 
-import sys
-
 from pgadmin.tools.restore import RestoreMessage
 from pgadmin.utils.route import BaseTestGenerator
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class RestoreMessageTest(BaseTestGenerator):
Index: web/pgadmin/tools/import_export/tests/test_check_utility_exists_route_import_export.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/import_export/tests/test_check_utility_exists_route_import_export.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/import_export/tests/test_check_utility_exists_route_import_export.py	(date 1588075232128)
@@ -7,16 +7,11 @@
 #
 ##########################################################################
 
-import sys
 import json
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils.test_utils import\
     check_binary_path_or_skip_test
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class TestUtilityCheckRouteCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py	(date 1588075790299)
@@ -8,7 +8,6 @@
 ##########################################################################
 
 from __future__ import print_function
-import sys
 import uuid
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
@@ -16,11 +15,7 @@
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as language_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class LanguagesDeleteTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py	(date 1588075341441)
@@ -15,13 +15,7 @@
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-
-import sys
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class CastsDeleteTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get.py	(date 1588075232108)
@@ -10,18 +10,13 @@
 from __future__ import print_function
 
 import uuid
-import sys
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
 from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as language_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class LanguagesGetTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/test_backend_supported.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/test_backend_supported.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/test_backend_supported.py	(date 1588075790210)
@@ -7,16 +7,10 @@
 #
 ##########################################################################
 
-import sys
-
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.\
     partitions import PartitionsModule
 from pgadmin.utils.route import BaseTestGenerator
-
-if sys.version_info < (3, 3):
-    from mock import patch, Mock, call
-else:
-    from unittest.mock import patch, Mock, call
+from unittest.mock import patch, Mock, call
 
 
 class TestBackendSupport(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py	(date 1588075790244)
@@ -9,20 +9,13 @@
 
 from __future__ import print_function
 
-import json
-
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
 from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-import sys
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class CastsPutTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_put.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_put.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_put.py	(date 1588075341449)
@@ -11,18 +11,13 @@
 
 import json
 import uuid
-import sys
 from regression.python_test_utils import test_utils as utils
 from pgadmin.utils.route import BaseTestGenerator
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
 from regression import parent_node_dict
 from . import utils as language_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class LanguagesPutTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py	(date 1588075790289)
@@ -14,13 +14,7 @@
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-
-import sys
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class CastsGetTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete_multiple.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete_multiple.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete_multiple.py	(date 1588075790246)
@@ -8,7 +8,6 @@
 ##########################################################################
 
 from __future__ import print_function
-import json
 
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
@@ -16,13 +15,7 @@
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-
-import sys
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class CastsMultipleDeleteTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_properties.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_properties.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_properties.py	(date 1588075790271)
@@ -6,18 +6,13 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-import sys
 
 from pgadmin.browser.server_groups.servers.databases \
     .external_tables import Properties
 from pgadmin.browser.server_groups.servers.databases.external_tables \
     .properties import PropertiesException, PropertiesTableNotFoundException
 from pgadmin.utils.route import BaseTestGenerator
-
-if sys.version_info < (3, 3):
-    from mock import MagicMock, patch
-else:
-    from unittest.mock import MagicMock, patch
+from unittest.mock import MagicMock, patch
 
 
 class TestProperties(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_add.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_add.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_add.py	(date 1588075341437)
@@ -11,7 +11,6 @@
 
 import json
 import uuid
-import sys
 
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
@@ -19,11 +18,7 @@
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as language_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class LanguagesAddTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_reverse_engineer_ddl.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_reverse_engineer_ddl.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_reverse_engineer_ddl.py	(date 1588075790207)
@@ -7,17 +7,11 @@
 #
 ##########################################################################
 
-import sys
-
 from pgadmin.browser.server_groups.servers.databases \
     .external_tables.reverse_engineer_ddl import \
     ReverseEngineerDDL, ReverseEngineerDDLException
 from pgadmin.utils.route import BaseTestGenerator
-
-if sys.version_info < (3, 3):
-    from mock import MagicMock
-else:
-    from unittest.mock import MagicMock
+from unittest.mock import MagicMock
 
 
 class TestReverseEngineerDDL(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py	(date 1588075790236)
@@ -7,18 +7,12 @@
 #
 ##########################################################################
 
-import sys
-
 import six
 
 from pgadmin.browser.server_groups.servers\
     .databases.external_tables import ExternalTablesModule
 from pgadmin.utils.route import BaseTestGenerator
-
-if sys.version_info < (3, 3):
-    from mock import MagicMock, Mock
-else:
-    from unittest.mock import MagicMock, Mock
+from unittest.mock import MagicMock, Mock
 
 
 class TestExternalTablesModule(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_view.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_view.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_view.py	(date 1588075790286)
@@ -8,16 +8,11 @@
 ##########################################################################
 
 import os
-import sys
 
 from pgadmin.browser.server_groups.servers.databases.external_tables import \
     ExternalTablesView
 from pgadmin.utils.route import BaseTestGenerator
-
-if sys.version_info < (3, 3):
-    from mock import MagicMock, patch
-else:
-    from unittest.mock import MagicMock, patch
+from unittest.mock import MagicMock, patch
 
 
 class TestExternalTablesView(BaseTestGenerator):
Index: web/pgadmin/browser/tests/test_ldap_with_mocking.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/tests/test_ldap_with_mocking.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/tests/test_ldap_with_mocking.py	(date 1588075790294)
@@ -7,17 +7,12 @@
 #
 ##########################################################################
 
-import sys
 import config as app_config
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from regression.test_setup import config_data
 from pgadmin.authenticate.registry import AuthSourceRegistry
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class LDAPLoginMockTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_backend_supported.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_backend_supported.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_backend_supported.py	(date 1588075790213)
@@ -6,13 +6,8 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-import sys
 
-if sys.version_info < (3, 3):
-    from mock import MagicMock
-else:
-    from unittest.mock import MagicMock
-
+from unittest.mock import MagicMock
 from pgadmin.browser.server_groups.servers.tablespaces import TablespaceModule
 from pgadmin.utils.route import BaseTestGenerator
 
Index: web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_sql.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_sql.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_sql.py	(date 1588075790252)
@@ -8,7 +8,6 @@
 ##########################################################################
 
 import uuid
-import sys
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
@@ -19,11 +18,7 @@
 from regression import trigger_funcs_utils
 from regression.python_test_utils import test_utils as utils
 from . import utils as event_trigger_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class EventTriggerGetSqlTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/tests/test_foreign_key_properties.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/tests/test_foreign_key_properties.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/tests/test_foreign_key_properties.py	(date 1588076141176)
@@ -8,8 +8,6 @@
 ##########################################################################
 
 import os
-import sys
-
 from pgadmin.utils.driver import DriverRegistry
 from regression.python_test_utils.template_helper import file_as_template
 
@@ -17,9 +15,6 @@
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils
 
-if sys.version_info[0] >= 3:
-    long = int
-
 
 class TestColumnForeignKeyGetConstraintCols(BaseTestGenerator):
     scenarios = [
Index: web/pgadmin/tools/search_objects/tests/test_search_objects_helper.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/search_objects/tests/test_search_objects_helper.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/search_objects/tests/test_search_objects_helper.py	(date 1588075790215)
@@ -1,12 +1,15 @@
-import sys
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
 
 from pgadmin.tools.search_objects.utils import SearchObjectsHelper, current_app
 from pgadmin.utils.route import BaseTestGenerator
-
-if sys.version_info < (3, 3):
-    from mock import patch, MagicMock
-else:
-    from unittest.mock import patch, MagicMock
+from unittest.mock import patch, MagicMock
 
 
 class SearchObjectsHelperTest(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_functions.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_functions.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_functions.py	(date 1588075790296)
@@ -8,7 +8,6 @@
 ##########################################################################
 
 import uuid
-import sys
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
@@ -20,11 +19,7 @@
 from regression import trigger_funcs_utils
 from regression.python_test_utils import test_utils as utils
 from . import utils as event_trigger_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class EventTriggerFunctionsTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_node.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_node.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_node.py	(date 1588075790264)
@@ -1,3 +1,12 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
 from __future__ import print_function
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
@@ -5,13 +14,7 @@
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-
-import sys
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class CastsGetNodeTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_dependencies_dependent.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_dependencies_dependent.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_dependencies_dependent.py	(date 1588075790233)
@@ -15,12 +15,6 @@
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-import sys
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
 
 
 class CastsGetDependentsAndDependencyTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_sql.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_sql.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_sql.py	(date 1588075790292)
@@ -15,12 +15,7 @@
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-import sys
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class CastsGetSqlTestCase(BaseTestGenerator):
Index: web/pgadmin/tools/maintenance/tests/test_check_utility_exists_route_maintenance.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/maintenance/tests/test_check_utility_exists_route_maintenance.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/maintenance/tests/test_check_utility_exists_route_maintenance.py	(date 1588075790279)
@@ -7,16 +7,11 @@
 #
 ##########################################################################
 
-import sys
 import json
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils.test_utils import\
     check_binary_path_or_skip_test
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class TestUtilityCheckRouteCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create.py	(date 1588075790249)
@@ -14,12 +14,7 @@
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-import sys
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class CastsCreateTestCase(BaseTestGenerator):
Index: web/pgadmin/tools/maintenance/tests/test_maintenance_create_job_unit_test.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/maintenance/tests/test_maintenance_create_job_unit_test.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/maintenance/tests/test_maintenance_create_job_unit_test.py	(date 1588075790239)
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-import sys
 import os
 import simplejson as json
 
@@ -16,11 +15,7 @@
 from pgadmin.utils import server_utils as server_utils, does_utility_exist
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch, MagicMock
-else:
-    from unittest.mock import patch, MagicMock
+from unittest.mock import patch, MagicMock
 
 
 class MaintenanceCreateJobTest(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_functions.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_functions.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_functions.py	(date 1588075790281)
@@ -14,13 +14,7 @@
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-
-import sys
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class CastsCreateGetFunctionsTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_type.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_type.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_type.py	(date 1588075790273)
@@ -14,13 +14,7 @@
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
-
-import sys
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class CastsCreateGettypeTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_utils.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_utils.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_utils.py	(date 1588075790259)
@@ -7,16 +7,10 @@
 #
 ##########################################################################
 
-import sys
-
 from pgadmin.browser.server_groups.servers.databases.schemas.utils import \
     DataTypeReader
 from pgadmin.utils.route import BaseTestGenerator
-
-if sys.version_info < (3, 3):
-    from mock import patch, Mock
-else:
-    from unittest.mock import patch, Mock
+from unittest.mock import patch, Mock
 
 _default_database_response = [
     {
Index: web/pgadmin/tools/maintenance/tests/test_batch_process_maintenance.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/maintenance/tests/test_batch_process_maintenance.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/maintenance/tests/test_batch_process_maintenance.py	(date 1588075790219)
@@ -7,18 +7,12 @@
 #
 ##########################################################################
 
-import sys
-
 from pgadmin.misc.bgprocess.processes import BatchProcess, IProcessDesc, \
     current_app
 from pgadmin.tools.maintenance import Message
 from pgadmin.utils.route import BaseTestGenerator
 from pickle import dumps, loads
-
-if sys.version_info < (3, 3):
-    from mock import patch, MagicMock
-else:
-    from unittest.mock import patch, MagicMock
+from unittest.mock import patch, MagicMock
 
 
 class BatchProcessTest(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get_function_and_template.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get_function_and_template.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_get_function_and_template.py	(date 1588075790231)
@@ -10,18 +10,13 @@
 from __future__ import print_function
 
 import uuid
-import sys
 from . import utils as language_utils
 from regression.python_test_utils import test_utils as utils
 from regression import parent_node_dict
 from pgadmin.utils.route import BaseTestGenerator
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class LanguagesGetFunctionAndTemplateTestCase(BaseTestGenerator):
Index: web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_sql.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_sql.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_sql.py	(date 1588075790276)
@@ -10,18 +10,13 @@
 from __future__ import print_function
 
 import uuid
-import sys
 from pgadmin.utils.route import BaseTestGenerator
 from regression import parent_node_dict
 from . import utils as language_utils
 from regression.python_test_utils import test_utils as utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class LanguagesGetSql(BaseTestGenerator):
Index: web/pgadmin/tools/sqleditor/tests/test_download_csv_query_tool.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/tools/sqleditor/tests/test_download_csv_query_tool.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/tools/sqleditor/tests/test_download_csv_query_tool.py	(date 1588075232131)
@@ -12,10 +12,9 @@
 from pgadmin.utils.route import BaseTestGenerator
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils
 import json
-from pgadmin.utils import server_utils, IS_PY2
+from pgadmin.utils import server_utils
 import random
 
 
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_node_sql.py	(date 1588076141173)
@@ -8,15 +8,10 @@
 ##########################################################################
 
 import os
-import sys
-
 from regression.python_test_utils.sql_template_test_base import \
     SQLTemplateTestBase
 from regression.python_test_utils.template_helper import file_as_template
 
-if sys.version_info[0] >= 3:
-    long = int
-
 
 class TestTablesNodeSql(SQLTemplateTestBase):
     scenarios = [
@@ -48,8 +43,8 @@
         triggercount = first_row['triggercount']
         has_enable_triggers = first_row['has_enable_triggers']
 
-        self.assertIsNotNone(long(oid))
+        self.assertIsNotNone(int(oid))
         self.assertEqual('test_table', name)
         # triggercount is sometimes returned as a string for some reason
-        self.assertEqual(0, long(triggercount))
-        self.assertIsNotNone(long(has_enable_triggers))
+        self.assertEqual(0, int(triggercount))
+        self.assertIsNotNone(int(has_enable_triggers))
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py	(date 1588076141171)
@@ -8,17 +8,11 @@
 ##########################################################################
 
 import os
-import sys
-
 from regression.python_test_utils.template_helper import file_as_template
 from regression.python_test_utils.sql_template_test_base import \
     SQLTemplateTestBase
 
 
-if sys.version_info[0] >= 3:
-    long = int
-
-
 class TestTablesPropertiesSql(SQLTemplateTestBase):
     scenarios = [
         ("This scenario tests that all applicable sql template versions can "
@@ -39,7 +33,7 @@
 
         self.assertEqual('test_table', first_row['name'])
         # triggercount is sometimes returned as a string for some reason
-        self.assertEqual(0, long(first_row['triggercount']))
+        self.assertEqual(0, int(first_row['triggercount']))
         self.assertEqual(None, first_row['typname'])
         self.assertEqual([], first_row['coll_inherits'])
 
Index: web/pgadmin/utils/javascript/tests/test_javascript_bundler.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/utils/javascript/tests/test_javascript_bundler.py	(revision fe264aafa7e2fb8eced49a5c24e13484a3552fdf)
+++ web/pgadmin/utils/javascript/tests/test_javascript_bundler.py	(date 1588075341455)
@@ -7,16 +7,10 @@
 #
 ##########################################################################
 
-
-import sys
 from pgadmin.utils.route import BaseTestGenerator
 from pgadmin.utils.javascript.javascript_bundler import JavascriptBundler
 from pgadmin.utils.javascript.javascript_bundler import JsState
-
-if sys.version_info < (3, 3):
-    from mock import patch
-else:
-    from unittest.mock import patch
+from unittest.mock import patch
 
 
 class JavascriptBundlerTestCase(BaseTestGenerator):
